Subject: bug#79182: 30.1; emacs becomes progressively less responsive up to become unusable

From: Michael Albinus <[email-masked]>
Date: Wed, 06 Aug 2025 19:29:11 +0200

Francesco Potortì <[email-masked]> writes:

Hi Francesco,

>>I recommend to lower tramp-verbose. At least down to 6, this is
>>sufficient unless you hunt for Tramp bugs.
>
> Thank you Michael.  Yes, I set it to 4, down from 9 that I had before.
> I now suspect that 9 includes all the file transfer including the
> files' contents, is that the case?  I would use the highest number
> that does not log file contents.  Is that 6?

tramp-verbose 6 shows all sent commands and the received responses. In
case of scp connections this includes file contents for files with a
smaller size of tramp-copy-size-limit (10240 bytes).

Do you really need Tramp debug buffers?

Best regards, Michael.